Open CASCADE Technology: BOPTools_ConnexityBlock Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
BOPTools_ConnexityBlock Class Reference

`#include <BOPTools_ConnexityBlock.hxx>`

## Public Member Functions
| BOPTools_ConnexityBlock ()
| BOPTools_ConnexityBlock (const Handle< NCollection_BaseAllocator > &theAllocator)
const BOPCol_ListOfShape & | Shapes () const
BOPCol_ListOfShape & | ChangeShapes ()
void | SetRegular (const Standard_Boolean theFlag)
Standard_Boolean | IsRegular () const
const BOPCol_ListOfShape & | Loops () const
BOPCol_ListOfShape & | ChangeLoops ()

## Protected Attributes
Handle< NCollection_BaseAllocator > | myAllocator
Standard_Boolean | myRegular
BOPCol_ListOfShape | myShapes
BOPCol_ListOfShape | myLoops

## Constructor & Destructor Documentation

BOPTools_ConnexityBlock::BOPTools_ConnexityBlock | ( |  | ) |
| inline

BOPTools_ConnexityBlock::BOPTools_ConnexityBlock | ( | const Handle< NCollection_BaseAllocator > & | theAllocator | ) |
| inline

## Member Function Documentation

BOPCol_ListOfShape& BOPTools_ConnexityBlock::ChangeLoops | ( |  | ) |
| inline

BOPCol_ListOfShape& BOPTools_ConnexityBlock::ChangeShapes | ( |  | ) |
| inline

Standard_Boolean BOPTools_ConnexityBlock::IsRegular | ( |  | ) | const
| inline

const BOPCol_ListOfShape& BOPTools_ConnexityBlock::Loops | ( |  | ) | const
| inline

void BOPTools_ConnexityBlock::SetRegular | ( | const Standard_Boolean | theFlag | ) |
| inline

const BOPCol_ListOfShape& BOPTools_ConnexityBlock::Shapes | ( |  | ) | const
| inline

## Field Documentation

Handle< NCollection_BaseAllocator > BOPTools_ConnexityBlock::myAllocator
| protected

BOPCol_ListOfShape BOPTools_ConnexityBlock::myLoops
| protected

Standard_Boolean BOPTools_ConnexityBlock::myRegular
| protected

BOPCol_ListOfShape BOPTools_ConnexityBlock::myShapes
| protected

The documentation for this class was generated from the following file:

- BOPTools_ConnexityBlock.hxx